Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Interface TargetAvailabilityStatus

All Superinterfaces:
  Serializable

Deprecated. 9.0.0.0 Replaced by `AppRuntimeStateRuntimeMBean`

    public interface TargetAvailabilityStatus

extends Serializable

This is a standard interface that encapsultes the availability/deployment status of a component on a target. The targets could be a server,cluster or a virtual host.

Since:
  7.0.6.0, 8.1.4.0

Field Summary
`static int` | `AVAILABILITY_STATUS_AVAILABLE` Deprecated.
`static int` | `AVAILABILITY_STATUS_DISTRIBUTED` Deprecated.
`static int` | `AVAILABILITY_STATUS_NOTAVAILABLE` Deprecated.
`static int` | `AVAILABILITY_STATUS_NOTDISTRIBUTED` Deprecated.
`static int` | `DEPLOYMENT_STATUS_AVAILABLE` Deprecated.
`static int` | `DEPLOYMENT_STATUS_NOTAVAILABLE` Deprecated.
`static int` | `DEPLOYMENT_STATUS_PARTIALLYAVAILABLE` Deprecated.
`static int` | `TARGET_TYPE_CLUSTER` Deprecated.
`static int` | `TARGET_TYPE_SERVER` Deprecated.
`static int` | `TARGET_TYPE_VIRTUALHOST` Deprecated.

Method Summary
`int` | `getAvailabilityStatus()` Deprecated. This returns the availability status of the component on the server.
`Set` | `getClustersAvailabilityStatus()` Deprecated. Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying clusters of the virtual host.
`int` | `getDeploymentStatus()` Deprecated. This returns the deployment status of the component on the target.
`Set` | `getServersAvailabilityStatus()` Deprecated. Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying servers of the cluster/virtual host.
`String` | `getTargetName()` Deprecated. This method returns the target name on which the component is deployed
`int` | `getTargetType()` Deprecated. Returns the type of the target for which the availability status is stored.

Field Detail

### DEPLOYMENT_STATUS_NOTAVAILABLE

    static final int DEPLOYMENT_STATUS_NOTAVAILABLE

  Deprecated.
  See Also:
    Constant Field Values

### DEPLOYMENT_STATUS_AVAILABLE

    static final int DEPLOYMENT_STATUS_AVAILABLE

  Deprecated.
  See Also:
    Constant Field Values

### DEPLOYMENT_STATUS_PARTIALLYAVAILABLE

    static final int DEPLOYMENT_STATUS_PARTIALLYAVAILABLE

  Deprecated.
  See Also:
    Constant Field Values

### AVAILABILITY_STATUS_NOTAVAILABLE

    static final int AVAILABILITY_STATUS_NOTAVAILABLE

  Deprecated.
  See Also:
    Constant Field Values

### AVAILABILITY_STATUS_AVAILABLE

    static final int AVAILABILITY_STATUS_AVAILABLE

  Deprecated.
  See Also:
    Constant Field Values

### AVAILABILITY_STATUS_DISTRIBUTED

    static final int AVAILABILITY_STATUS_DISTRIBUTED

  Deprecated.
  See Also:
    Constant Field Values

### AVAILABILITY_STATUS_NOTDISTRIBUTED

    static final int AVAILABILITY_STATUS_NOTDISTRIBUTED

  Deprecated.
  See Also:
    Constant Field Values

### TARGET_TYPE_SERVER

    static final int TARGET_TYPE_SERVER

  Deprecated.
  See Also:
    Constant Field Values

### TARGET_TYPE_CLUSTER

    static final int TARGET_TYPE_CLUSTER

  Deprecated.
  See Also:
    Constant Field Values

### TARGET_TYPE_VIRTUALHOST

    static final int TARGET_TYPE_VIRTUALHOST

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getTargetName

    String getTargetName()

  Deprecated.
  This method returns the target name on which the component is deployed

  Returns:
    String

### getTargetType

    int getTargetType()

  Deprecated.
  Returns the type of the target for which the availability status is stored. it could be TARGET_TYPE_SERVER, TARGET_TYPE_CLUSTER or TARGET_TYPE_VIRTUALHOST

  Returns:
    int

### getDeploymentStatus

    int getDeploymentStatus()

  Deprecated.
  This returns the deployment status of the component on the target. It could be DEPLOYMENT_STATUS_NOTAVAILABLE, DEPLOYMENT_STATUS_AVAILABLE or DEPLOYMENT_STATUS_PARTIALLYAVAILABLE

  Returns:
    int

### getAvailabilityStatus

    int getAvailabilityStatus()

  Deprecated.
  This returns the availability status of the component on the server. It could be AVAILABILITY_STATUS_NOTAVAILABLE, AVAILABILITY_STATUS_AVAILABLE, AVAILABILITY_STATUS_DISTRIBUTED, AVAILABILITY_STATUS_NOTDISTRIBUTED. This call is valid only if the targetType is TARGET_TYPE_SERVER. For other target types it throws a Assertion Exception. If a component is using staged deployment and is unavailable on a server, then its availability status could be AVAILABILITY_STATUS_DISTRIBUTED or AVAILABILITY_STATUS_NOTDISTRIBUTED depending upon whether the application's latest source is available on the target or not. For deployments that are not staged, the availability status is only AVAILABILITY_STATUS_NOTAVAILABLE if the component is unavailable on the target.

  Returns:
    int

### getServersAvailabilityStatus

    Set getServersAvailabilityStatus()

  Deprecated.
  Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying servers of the cluster/virtual host. For server targetType, this method throws a assertion exception.

  Returns:
    Set

### getClustersAvailabilityStatus

    Set getClustersAvailabilityStatus()

  Deprecated.
  Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying clusters of the virtual host. For server and cluster targetType, this method throws a assertion exception.

  Returns:
    Set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD